Support » Plugins and Hacks » NextGEN Gallery » [Resolved] Updates conflict with wp filebase

[Resolved] Updates conflict with wp filebase

Viewing 15 replies - 1 through 15 (of 32 total)
  • This is also being discussed here:

    No answers yet!


    Go to wpfb-ajax.php and comment line nr9 out.
    This should help

    Yes, it works for me.

    Yes, worked for me as well. I hope the plugin author picks this up


    Plugin Author photocrati


    @poltadaalu – Thanks for that tip!

    I will make a note of our developers to look at this as well.

    – Cais.

    “Go to wpfb-ajax.php and comment line nr9 out.”

    sorry noob user here. can you explain how to do so? i even don’t know what to search!



    Solution suggested by poltadaalu worked for me too.


    • With a FTP client go to the wp-filebase folder in your plugins folder (normally: wp-content/plugins/wp-filebase/);
    • Download the file wpfb-ajax.php and open it with a text editor;
    • Go to line 9 and put // (two slashes) before @ob_end_clean(). This means “commenting line nr9 out”;
    • Save the file and upload it back to the original folder.

    poltadaalu, nice discovery!

    Although this fixes the conflict, it’s not a solution I will add to the next update, because this can lead to unexpected output again.
    The inclusion of wp-load.php is wrapped by ob_start() and ob_end_clean() to discard any output from other plugins that is generated due to linebreaks outside the php tags (or other stuff).

    Could you please try this out:
    Instead of commenting out ob_end_clean() replace it with:

    if(ob_get_level() == 1)

    So the whole block is:

    if(ob_get_level() == 1)

    If this is confirmed to fix the NextGEN Gallery conflict, it will be included in next update of WP-Filebase.

    I have tried both the commenting out and your solution above and in both instances I simply get a spinning logo, nothing happens.

    We are desperate to fix this issue, as both the WPfilebase and NGG are crucial parts of our site 🙁

    Hi all,

    I did the changes and the plugin works.
    Here 2 URLs for the plugins that work
    http://diekirch.lgs.lu/raro/fotoen/ <== NextGEN
    http://diekirch.lgs.lu/alleguer/dokumenter/ <= WP-Filebase


    I have tried both and sadly not working still for me 🙁

    At Fabian: Works!

    if(ob_get_level() == 1)

    Just wanted to add, I re-downloaded the plugin, overwrote all files and used the fix posted above and its all sorted.
    Perhaps some old file has caused a problem.

    This fix solved my issue too!!!
    Great stuff, now everything is fine here!

    Hello all,

    I am running WP 3.8.1 with NextGen 2.0.58 and WP-Filebase
    and I getting the same error displaying the file browser.

    In this version I can’t find the line “ob_end_clean();” in the “wpfb-ajax.php” file.

    How can I solve the issue in this version of WP-Filebase?

    Thanks in advance!

Viewing 15 replies - 1 through 15 (of 32 total)
  • The topic ‘[Resolved] Updates conflict with wp filebase’ is closed to new replies.
Skip to toolbar